Last modified: 2011-04-30 01:21:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24853 - Kill failFunction
Kill failFunction
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.15.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2010-08-18 14:18 UTC by Sam Reed (reedy)
Modified: 2011-04-30 01:21 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch to kill failfunction (14.48 KB, patch)
2010-08-18 14:21 UTC, Sam Reed (reedy)
Details

Description Sam Reed (reedy) 2010-08-18 14:18:20 UTC
failFunction was marked as old in r14625

Please kill

I had a go in r71250 r71251 r71252 r71253

but got

MediaWiki internal error.

Original exception: exception 'DBQueryError' with message 'A database error has occurred
Query: SELECT page_id,page_namespace,page_title,page_restrictions,page_counter,page_is_redirect,page_is_new,page_random,page_touched,page_latest,page_len FROM `17page` WHERE page_namespace = '0' AND page_title = 'Main_Page' LIMIT 1 
Function: Article::pageData
Error: 1146 Table 'wikidb.17page' doesn't exist (localhost)
' in /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php:548
Stack trace:
#0 /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php(511): DatabaseBase->reportQueryError('Table 'wikidb.1...', 1146, 'SELECT page_id...', 'Article::pageDa...', false)
#1 /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php(845): DatabaseBase->query('SELECT page_id...', 'Article::pageDa...')
#2 /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php(925): DatabaseBase->select('page', Array, Array, 'Article::pageDa...', Array, Array)
#3 /home/reedy/mediawiki/trunk/phase3/includes/Article.php(430): DatabaseBase->selectRow('page', Array, Array, 'Article::pageDa...')
#4 /home/reedy/mediawiki/trunk/phase3/includes/Article.php(448): Article->pageData(Object(DatabaseMysql), Array)
#5 /home/reedy/mediawiki/trunk/phase3/includes/Wiki.php(329): Article->pageDataFromTitle(Object(DatabaseMysql), Object(Title))
#6 /home/reedy/mediawiki/trunk/phase3/includes/Wiki.php(66): MediaWiki->initializeArticle(Object(Title), Object(OutputPage), Object(WebRequest))
#7 /home/reedy/mediawiki/trunk/phase3/index.php(115): MediaWiki->performRequestForTitle(Object(Title), NULL, Object(OutputPage), Object(User), Object(WebRequest))
#8 {main}

Exception caught inside exception handler: exception 'DBQueryError' with message 'A database error has occurred
Query: SELECT value,exptime FROM `17objectcache` WHERE keyname = 'wikidb-mw_:messages:en' LIMIT 1 
Function: SqlBagOStuff::get
Error: 1146 Table 'wikidb.17objectcache' doesn't exist (localhost)
' in /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php:548
Stack trace:
#0 /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php(511): DatabaseBase->reportQueryError('Table 'wikidb.1...', 1146, 'SELECT value,e...', 'SqlBagOStuff::g...', false)
#1 /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php(845): DatabaseBase->query('SELECT value,e...', 'SqlBagOStuff::g...')
#2 /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php(925): DatabaseBase->select('objectcache', Array, Array, 'SqlBagOStuff::g...', Array, Array)
#3 /home/reedy/mediawiki/trunk/phase3/includes/BagOStuff.php(263): DatabaseBase->selectRow('objectcache', Array, Array, 'SqlBagOStuff::g...')
#4 /home/reedy/mediawiki/trunk/phase3/includes/MessageCache.php(252): SqlBagOStuff->get('wikidb-mw_:mess...')
#5 /home/reedy/mediawiki/trunk/phase3/includes/MessageCache.php(595): MessageCache->load('en')
#6 /home/reedy/mediawiki/trunk/phase3/includes/MessageCache.php(534): MessageCache->getMsgFromNamespace('Databaseerror', 'en')
#7 [internal function]: MessageCache->get('databaseerror', true, false)
#8 /home/reedy/mediawiki/trunk/phase3/includes/StubObject.php(58): call_user_func_array(Array, Array)
#9 /home/reedy/mediawiki/trunk/phase3/includes/StubObject.php(76): StubObject->_call('get', Array)
#10 [internal function]: StubObject->__call('get', Array)
#11 /home/reedy/mediawiki/trunk/phase3/includes/GlobalFunctions.php(753): StubObject->get('databaseerror', true, false)
#12 /home/reedy/mediawiki/trunk/phase3/includes/GlobalFunctions.php(716): wfMsgGetKey('databaseerror', true, false, true)
#13 /home/reedy/mediawiki/trunk/phase3/includes/Exception.php(82): wfMsgReal('databaseerror', Array)
#14 /home/reedy/mediawiki/trunk/phase3/includes/db/Database.php(2697): MWException->msg('databaseerror', 'Database error')
#15 /home/reedy/mediawiki/trunk/phase3/includes/Exception.php(216): DBQueryError->getPageTitle()
#16 /home/reedy/mediawiki/trunk/phase3/includes/Exception.php(179): MWException->htmlHeader()
#17 /home/reedy/mediawiki/trunk/phase3/includes/Exception.php(198): MWException->reportHTML()
#18 /home/reedy/mediawiki/trunk/phase3/includes/Exception.php(298): MWException->report()
#19 /home/reedy/mediawiki/trunk/phase3/includes/Exception.php(360): wfReportException(Object(DBQueryError))
#20 [internal function]: wfExceptionHandler(Object(DBQueryError))
#21 {main}


Seems to be breaking prefixes

Error: 1146 Table 'wikidb.17objectcache' doesn't exist (localhost)

should be mw_
Comment 1 Sam Reed (reedy) 2010-08-18 14:21:29 UTC
Created attachment 7635 [details]
Patch to kill failfunction

Patch from reverted revisions (for ease of starting from)

Or just revert r71254
Comment 2 Sam Reed (reedy) 2010-10-24 21:28:10 UTC
r75341 and r75343

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links